/* Import plugin specific language pack */
tinyMCE.importPluginLanguagePack('fireboard');

var TinyMCE_FireBoardPlugin = {
	getInfo : function() {
		return {
			longname : 'JCE FireBoard DiscussBot Plugin',
			author : 'Chris Simon',
			authorurl : 'http://software.decomputeur.nl',
			infourl : '',
			version : '1.0.0'
		};
	},

    getControlHTML : function(cn) {
		switch (cn) {
            case "fireboard":
				return tinyMCE.getButtonHTML(cn, 'lang_fireboard_desc', '{$pluginurl}/images/fireboard.gif', 'mceFireBoard', true);
		}

		return "";
	},
	execCommand : function(editor_id, element, command, user_interface, value) {
		// Handle commands
		switch (command) {
			case "mceFireBoard":
   	            var action = "insert";
				var template = new Array();
				var inst = tinyMCE.getInstanceById(editor_id);
				var focusElm = inst.getFocusElement();

				template['file']   = tinyMCE.getParam('site')+'/index2.php?option=com_jce&no_html=1&task=plugin&plugin=fireboard&file=fireboard.php';
				template['width']  = 320;
				template['height'] = 150;
			    
                tinyMCE.openWindow(template, {editor_id : editor_id, inline : "yes", action : action});
            return true;
      }
      // Pass to next handler in chain
	   return false;
    }
};

tinyMCE.addPlugin("fireboard", TinyMCE_FireBoardPlugin);
