<?php
/**
* @version $Id: fireboard.php 2007-05-05 Chris Simon $
* @package JCE
* @copyright Copyright (C) 2006 Ryan Demmer. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* JCE is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/
defined( '_VALID_MOS' ) or die( 'Restricted Access.' );

if( !$my->id ) die( 'Restricted Access.' );

$version = "1.0.0";

global $database;

require_once( $mainframe->getCfg('absolute_path') . '/mambots/editors/jce/jscripts/tiny_mce/libraries/classes/jce.class.php' );
require_once( $mainframe->getCfg('absolute_path') . '/mambots/editors/jce/jscripts/tiny_mce/libraries/classes/jce.utils.class.php' );

$jce = new JCE();
$jce->setPlugin('fireboard');

//Setup languages
include_once( $jce->getLibPath() . '/langs/' . $jce->getLanguage() . '.php' );
include_once(  $jce->getPluginPath() . '/langs/' . $jce->getPluginLanguage() . '.php' );

$query = "SELECT a.id AS value, a.name AS text
         FROM #__fb_categories AS a
         WHERE a.published = '1' AND a.parent > '0'
         ORDER BY a.id";

        $database->setQuery( $query );
        $sb_item = $database->loadObjectList();
        $list = "<select name=\"catid\" style=\"width:200px\">";
        $list .= "<option value=\"\" selected>---</option>";
        foreach ( $sb_item as $item ) {
            $list .= "<option value=\"".$item->value."\">".$item->text."</option>";
        }
        $list .= "</select>";
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $pl['title'];?> : <?php echo $version;?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<?php 
	echo $jce->printTinyJs( 'tiny_mce_popup' );
	echo $jce->printTinyJs( 'utils/form_utils' );
	echo $jce->printTinyJs( 'utils/mctabs' );
	echo $jce->printLibJs( 'common' );
	echo $jce->printPluginJs( 'fireboard' );
	?>
</head>
<body onLoad="init();" style="display: none">
<form onSubmit="insertAction();return false;" action="#">
	<div class="tabs">
			<ul>
				<li id="general_tab" class="current"><span><a href="javascript:mcTabs.displayTab('general_tab','general_panel');" onMouseDown="return false;"><?php echo $pl['general'];?></a></span></li>
			</ul>
		</div>

		<div class="panel_wrapper" style="height:70px;">
			<div id="general_panel" class="panel current">
				<fieldset>
						<legend><?php echo $pl['desc'];?></legend>
						<table class="properties">
							<tr>
                                <td><?php echo $pl['category'];?></td>
                                <td><?php echo $list;?></td>
							</tr>
						</table>
				</fieldset>
			</div>

		
		</div>
	<div class="mceActionPanel">
		<div style="float: right">
			<input type="button" id="insert" name="insert" value="{$lang_insert}" onClick="insertAction();" />
			<input type="button" id="cancel" name="cancel" value="<?php echo $cl['cancel'];?>" onClick="cancelAction();" />
		</div>
	</div>
    </form>
</body> 
</html> 
