<?php
/**
* @version $Id: jceutils.php 2007-01-21 $
* @package JCEUtilites
* @copyright Copyright (C) 2006/2007 Ryan Demmer. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

$_MAMBOTS->registerFunction( 'onAfterStart', 'botJCEUtilities' );

function botJCEUtilities() {
	global $mainframe, $database;
	
	$pop = intval( mosGetParam( $_REQUEST, 'pop', 0 ) );
	
	if( $pop ){
		return;
	}
		
	$query = "SELECT id"
    . "\n FROM #__mambots"
    . "\n WHERE element = 'jceutils'"
    . "\n AND folder = 'system'"
    ;
    $database->setQuery( $query );
    $id = $database->loadResult();
    $mambot = new mosMambot( $database );
    $mambot->load( $id );
    $params = new mosParameters( $mambot->params );
	
	$query = "SELECT published"
    . "\n FROM #__mambots"
    . "\n WHERE element = 'jceembed'"
    . "\n AND folder = 'system'"
    ;
    $database->setQuery( $query );
    $embed = $database->loadResult();
	
	$convert 			= $params->get('convert', '1');
	$fade 				= $params->get('fadespeed', '500');
	$scale 				= $params->get('scalespeed', '500');
	$pngfix 			= $params->get('pngfix', '0');
	$pngfix_id 			= $params->get('pngfix_id', '_trans');
	$overlay 			= $params->get('overlay', '1');
	$overlay_opacity 	= $params->get('overlay_opacity', '0.6');
	$resize 			= $params->get('resize', '1');
	$tooltip_class 		= $params->get('tooltip_class', 'tooltip');
	$tooltip_opacity 	= $params->get('tooltip_opacity', '1');
	$tooltip_fxspeed 	= $params->get('tooltip_fxspeed', '150');
	
	$html = "<script type=\"text/javascript\" src=\"" . $mainframe->getCfg('live_site') . "/mambots/system/jceutils/jscripts/jquery.js\"></script>\n";
	$html .= "<script type=\"text/javascript\" src=\"" . $mainframe->getCfg('live_site') . "/mambots/system/jceutils/jscripts/utils.js\"></script>\n";
	if( !$embed ){
		$html .= "<script type=\"text/javascript\" src=\"" . $mainframe->getCfg('live_site') . "/mambots/system/jceutils/jscripts/embed.js\"></script>\n";
	}
	$html .= "<link href=\"" . $mainframe->getCfg('live_site') . "/mambots/system/jceutils/css/jcebox.css\" rel=\"stylesheet\" type=\"text/css\" media=\"all\"/>\n";
	$html .= "<!--[if IE]><link href=\"" . $mainframe->getCfg('live_site') . "/mambots/system/jceutils/css/jcebox_ie.css\" rel=\"stylesheet\" type=\"text/css\" media=\"all\"/><![endif]-->\n";
	$html .= "<script type=\"text/javascript\">\n jQuery.noConflict();\n jceUtils.config.convert=" . $convert . ";\n jceUtils.config.resize=" . $resize . ";\n jceUtils.config.overlay=" . $overlay . ";\n jceUtils.config.overlay_opacity=" . $overlay_opacity . ";\n jceUtils.config.fadespeed=" . $fade . ";\n jceUtils.config.scalespeed=" . $scale . ";\n jceUtils.config.pngfix=" . $pngfix . ";\n jceUtils.config.pngfix_id='" . $pngfix_id . "';\n jceUtils.config.tip_class='" . $tooltip_class . "';\n jceUtils.config.tip_opacity=" . $tooltip_opacity . ";\n jceUtils.config.tip_fxspeed=" . $tooltip_fxspeed . ";\n</script>\n";
		
	$mainframe->addCustomHeadTag( $html );

	return true;
}
?>