<?php
/**
 * fileManager Class.
 * @author $Author: Ryan Demmer
 */
class docManager
{	
		function getCatId( $id ){
			global $database;
			global $database;
			$query = "SELECT catid"
			. "\n FROM #__docman"
			. "\n WHERE id = $id"
			;
			$database->setQuery( $query );
			return $database->loadResult();
		}	
		function getDocs( $cid ){
			global $mainframe;
			
			$rows = DOCMAN_Docs::getDocsByUserAccess( $cid, 'name', 'ASC', 999, 0 );
			$docs = array();	
			foreach( $rows as $row ){
				if( $row->catid == $cid ){		
					$docs[] = array(
						'file' => $row->dmfilename,
						'modified' => ( $row->dmlastupdateon<>"0000-00-00 00:00:00" ) ? $row->dmlastupdateon : $row->dmdate_published,
						'name' => $row->dmname,
						'id' => $row->id,
						'icon' => $mainframe->getCfg('live_site') . '/' . DOCMAN_Utils::pathIcon ( JFile::getExt( $row->dmfilename ) . ".png", 0, '16x16')
					);
				}
			}
			return $docs;
		}
		function dirTree()
		{
			$rows = DOCMAN_utils::categoryArray();
			$d = '';		
			foreach( $rows as $row )
			{								
				$d .= "parent.jce.tree.add('i" . $row->id . "','i" . $row->parent . "','" . $row->name . "', 'javascript:changeDir(\'". $row->id ."\')', '". $row->id ."');\n";
			}
			return $d;
		}
		function getDocProperties( $file )
		{
			global $cl, $mainframe, $_DOCMAN;
			clearstatcache();
			
			$path = JPath::makePath( $_DOCMAN->getCfg('dmpath'), urldecode( $file ) );

			$size = 'N/A';
			
			if( file_exists( $path ) ){
           		$size = JCEUtils::formatSize( filesize( $path ) );
			}
								
			$html = '<div>' . $cl['size'] . ': ' . $size . '</div>';
			return "<script>showProperties('" . $html . "');</script>";
		}
		function getProperties( $file )
		{
			global $mainframe, $_DOCMAN;
			require_once($_DOCMAN->getPath('classes', 'utils'));
			clearstatcache();
			
			$path = JPath::makePath( $_DOCMAN->getCfg('dmpath'), urldecode( $file ) );			
			$icon_url = $mainframe->getCfg('live_site') . '/' . DOCMAN_Utils::pathIcon ( JFile::getExt( $file ) . ".png", 0, '16x16');

			$size = '';
			
			if( file_exists( $path ) ){
           		$size = JCEUtils::formatSize( filesize( $path ) );
			}		
			return "<script>setProperties('" . $size . "','" . addslashes( $icon_url ) . "');</script>";
		}
}
?>
