function preinit(){
	// Initialize
	tinyMCE.setWindowArg('mce_windowresize', false);
	tinyMCE.setWindowArg('mce_replacevariables', false);
}
function init(){
	tinyMCEPopup.resizeToInnerSize();	
	var inst = tinyMCE.getInstanceById(tinyMCE.getWindowArg('editor_id'));
	var elm = inst.getFocusElement();
	var action = "insert";
	var html;

	elm = tinyMCE.getParentElement(elm, "a");
	if (elm != null && elm.nodeName == "A")
		action = "update";

	setValue('insert', tinyMCE.getLang('lang_' + action, 'Insert', true));
	
	var cid = '';
	var id = '';

	if (action == "update") {
		var href = tinyMCE.getAttrib(elm, 'href');
		
		var child = ( elm.childNodes );
		for ( var i = 0; i < child.length; i++ ) {
			if ( child[i].nodeName == 'IMG' ) {
                check('icon', true);
            }
			if ( child[i].className == 'jce_doclink_date' ) {
				check('date', true);
            }
            if ( child[i].className == 'jce_doclink_size' ) {
				check('size', true);
            }
        }
		href = convertURL(href, elm, true);
		
        // Setup form data
		setValue('href', href);
        setValue('title', tinyMCE.getAttrib(elm, 'title'));

		selectByValue('targetlist', tinyMCE.getAttrib(elm, 'target'), true);
		
		var params = parseQuery(href);
		id = params['gid'];
	}
	window.setTimeout('createFileIFrame("' + id + '");', 10);
	jce.tree = new dTree('jce.tree', jce.getLibUrl());
	window.focus();
}
function insertAction(){
    var inst = tinyMCE.getInstanceById(tinyMCE.getWindowArg('editor_id'));
	var elm = inst.getFocusElement();

	elm = tinyMCE.getParentElement(elm, "a");

	tinyMCEPopup.execCommand("mceBeginUndoLevel");
	
	var href = getValue('href');
	var title = getValue('title');
	var target = getSelectValue('targetlist');
	
	var i_src = getValue('file_icon');

	// Create new anchor elements
	if (elm == null) {
		var size_span = '<span class="jce_doclink_size" style="font-size:80%"> ' + getValue('file_size') + '</span>';
        var date_span = '<span class="jce_doclink_date" style="font-size:80%"> ' + getValue('file_date') + '</span>';
        
                html = '';
                html += '<a href="' + href + '" class="jce_doclink" title="' + title + '" target="' + target + '">';
                if (ischecked('icon')){
                    html += '<img src="' + i_src + '" border="0" width="16" height="16" alt="' + title + '" title="' + title + '" />&nbsp;';
                }
                html +='' + title + '';
                if (ischecked('date')){
                    html += date_span;
                }
                if (ischecked('size') && getValue('file_size') != 'N/A'){
                  html += size_span;
                }
                html += '</a>';

                tinyMCE.execCommand("mceInsertContent",false,html);
	} else
        var size_span = '<span class="jce_doclink_size" style="font-size:80%"> ' + getValue('file_size') + '</span>';
        var date_span = '<span class="jce_doclink_date" style="font-size:80%"> ' + getValue('file_date') + '</span>';

                html = '';
                html += '<a href="'+href+'" class="jce_doclink" title="' + title + '" target="' + target + '">';
                if (ischecked('icon')){
                    html += '<img src="' + i_src + '" border="0" width="16" height="16" alt="' + title + '" title="' + title + '" />&nbsp;';
                }
                html +='' + title + '';
                if (ischecked('date')){
                    html += date_span;
                }
                if (ischecked('size')  && getValue('file_size') != 'N/A'){
                  html += size_span;
                }
                html += '</a>';
                
    tinyMCE.execCommand("mceReplaceContent",false,html);

	tinyMCEPopup.execCommand("mceEndUndoLevel");
	tinyMCEPopup.close();
}
function setAllAttribs(elm){
	var href = getValue('href');
	var target = getSelectValue('targetlist');

	href = convertURL(href, elm);

	setAttrib(elm, 'href', href);
	setAttrib(elm, 'title');
	setAttrib(elm, 'target', target);

	// Refresh in old MSIE
	if (tinyMCE.isMSIE5)
		elm.outerHTML = elm.outerHTML;
}
function createFileIFrame(id){
    id = ( id != '' ) ? '&gid='+id : '';
    setHTML('fileContainer', '<iframe class="fileFrame" id="manager" name="manager" src="index2.php?option=com_jce&no_html=1&task=plugin&plugin=doclink&file=files.php' + id + '" frameborder="0" scrolling="auto"></iframe>');
}
function setProperties(size, icon){
	setValue('file_size', size);
    setValue('file_icon', icon);	
	disable('insert', false);
}
function goUpDir(){
    var currentDir = getSelectValue('dirPath').split(':');
	if(currentDir == '0')
        return false;

    changeDir(currentDir[0]);
}
function refreshDir(){
    var newDir = getSelectValue('dirPath').split(':');
	setIframeSrc('index2.php?option=com_jce&no_html=1&task=plugin&plugin=doclink&file=files.php&catid='+newDir[0]);
	showMessage(jce.getLang('loading', false), 'load.gif', 'msg');
}
function changeDir(newDir){
	setIframeSrc('index2.php?option=com_jce&no_html=1&task=plugin&plugin=doclink&file=files.php&catid='+newDir);
	showMessage(jce.getLang('loading', false), 'load.gif', 'msg');
}
function showProperties(html, width, height){
	if(getObj('fileProperties')){
		setHTML('fileProperties', xmlDecode(html));	
		jce.set('showProperties', true);
	}
}
function selectFile(id){
	var w = getObj('manager').contentWindow.document;
	var name = stripExtension(w.getElementById(id).title);
	var file = w.getElementById(id + '_file').value;
	var modified = w.getElementById(id + '_modified').value;	
	disable('insert', true);
	
	setValue('href', tinyMCE.getParam('document_base_url') + 'index.php?option=com_docman&task=doc_download&gid=' + id);
	setValue('title', name);
	setValue('file_date', modified);
	jce.ajaxSend('getProperties', file);
}
function showFileDetails(id){
    var w = getObj('manager').contentWindow.document;
	var name = stripExtension(w.getElementById(id).title);
	var file = w.getElementById(id + '_file').value;
	var modified = w.getElementById(id + '_modified').value;
	
	var html = '';
    html += '<div style="font-weight:bold">' + name + '</div>';
    html += '<div>' + jce.getLang('modified', true) + ': '+ modified +'</div>';
	html += '<div id="fileProperties"></div>';	
	setHTML('fileDetails', html);
	setLoader();
	jce.ajaxSend('getDocProperties', file);
}
function showFolderDetails(id){
	var name = getObj('manager').contentWindow.document.getElementById(id).title;

    var html = '';
    html += '<div style="font-weight:bold">' + name + '</div>';
    html += '<div>' + jce.getLang('folder', false) + '</div>';
    setHTML('fileDetails', html);
    setValue('itemsList', id);
}
function setReturnFile(docid){
	var w = getObj('manager').contentWindow.document;
	var elm = w.getElementById('fileList');
    var child = ( elm.childNodes );
    for ( var i = 0; i < child.length; i++ ) {
        if( child[i].tagName == 'DIV' ){
			var id = child[i].getAttribute('id');
            if( id == docid ){
                if(jce.sf){
					jce.sf.selectItem(child[i]);
					Scroll.doScroll(w.getElementById(id));
				}
				setValue('itemsList', id);
				selectFile(id);
            }
        }
    }
}
// While loading
preinit();